﻿@page "/"

@using System.Security.Claims
@using Microsoft.AspNetCore.Components.Authorization
@inject AuthenticationStateProvider AuthenticationStateProvider


@if (user.Identity.IsAuthenticated)
{
    <div class="container-fluid scrollable">
        <div class="card-deck">
            <div class="card border-primary mb-3" style="max-width: 18rem;">
                <img class="card-img-top" src="../images/screens.png" style="padding: 10px 10px 10px 10px" alt="Card image cap">
                <div class="card-header">Screens</div>
                <div class="card-body d-flex flex-column text-primary">
                    <h5 class="card-title">Manage Screens</h5>
                    <p class="card-text">You currently have 2 screens configured.</p>
                    <br />
                    <p class="card-text">Use this option to test screens, configure orientation and resolution, get the latest status messages, and troubleshoot.</p>
                    <NavLink class="nav-link mt-auto" href="screens">
                        <button class="btn btn-primary btn-block" aria-hidden="true">
                            Screens
                        </button>
                    </NavLink>
                </div>
            </div>
            <div class="card border-success mb-3" style="max-width: 18rem;">
                <img class="card-img-top" src="../images/creatives.jpg" style="padding: 10px 10px 10px 10px" alt="Card image cap">
                <div class="card-header">Creatives</div>
                <div class="card-body d-flex flex-column text-success">
                    <h5 class="card-title">Manage Creatives</h5>
                    <p class="card-text">You currently have 14 creatives.</p>
                    <p class="card-text">8 static images.</p>
                    <p class="card-text">6 videos.</p>
                    <br />
                    <p class="card-text">Use this option to import creatives, organize them into folders, edit, and combine creatives.</p>
                    <NavLink class="nav-link mt-auto" href="creatives">
                        <button class="btn btn-success btn-block" aria-hidden="true">
                            Creatives
                        </button>
                    </NavLink>
                </div>
            </div>
            <div class="card border-warning mb-3" style="max-width: 18rem;">
                <img class="card-img-top" src="../images/playlists.jpg" style="padding: 10px 10px 10px 10px" alt="Card image cap">
                <div class="card-header">Playlists</div>
                <div class="card-body d-flex flex-column text-warning">
                    <h5 class="card-title">Manage Playlists</h5>
                    <p class="card-text">You currently have 2 playlists.</p>
                    <br />
                    <p class="card-text">Use this option to test screens, configure orientation and resolution, get the latest status messages, and troubleshoot.</p>
                    <NavLink class="nav-link mt-auto" href="creatives">
                        <button class="btn btn-warning btn-block" aria-hidden="true">
                            Playlists
                        </button>
                    </NavLink>
                </div>
            </div>
            <div class="card border-info mb-3" style="max-width: 18rem;">
                <img class="card-img-top" src="../images/schedules.jpg" style="padding: 10px 10px 10px 10px" alt="Card image cap">
                <div class="card-header">Schedules</div>
                <div class="card-body d-flex flex-column text-info">
                    <h5 class="card-title">Manage Schedules</h5>
                    <p class="card-text">You currently have 5 active schedules.</p>
                    <br />
                    <p class="card-text">Use this option to schedule playlists to screens, create new schedules, and cancel schedules.</p>
                    <NavLink class="nav-link mt-auto" href="creatives">
                        <button class="btn btn-info btn-block" aria-hidden="true">
                            Schedules
                        </button>
                    </NavLink>
                </div>
            </div>
            <div class="card border-danger mb-3" style="max-width: 18rem;">
                <img class="card-img-top" src="../images/revenue.png" style="padding: 10px 10px 10px 10px" alt="Card image cap">
                <div class="card-header">Revenue</div>
                <div class="card-body d-flex flex-column text-danger">
                    <h5 class="card-title">Revenue</h5>
                    <p class="card-text">You had 1,431 ad plays this month.</p>
                    <p class="card-text">Average ad play was .67 per play.</p>
                    <br />
                    <p class="card-text">Use this option to review the full break down of ad deals and revenue.</p>
                    <NavLink class="nav-link mt-auto" href="creatives">
                        <button class="btn btn-danger btn-block" aria-hidden="true">
                            Revenue
                        </button>
                    </NavLink>
                </div>
            </div>
            <div class="card border-secondary mb-3" style="max-width: 18rem;">
                <img class="card-img-top" src="../images/roosteroil.png" style="padding: 10px 10px 10px 10px" alt="Card image cap">
                <div class="card-header">Contact Us</div>
                <div class="card-body d-flex flex-column text-secondary">
                    <h5 class="card-title">Contact Us</h5>
                    <br />
                    <p class="card-text">Click here for the full list of contact information.</p>
                    <NavLink class="nav-link mt-auto" href="creatives">
                        <button class="btn btn-secondary btn-block" aria-hidden="true">
                            Contact Us
                        </button>
                    </NavLink>
                </div>
            </div>
            @if (user.HasClaim(ClaimTypes.Role, "FullAdmin"))
            {
                <div class="card">
                    <div class="card-header">Admin Stuff</div>
                    <div class="card-body">
                        <p class="card-text">Yes, you are a full admin.</p>
                        <p><a href="https://blazor.net" target="_blank" class="btn btn-success">Learn More &raquo;</a></p>
                    </div>
                </div>
            }
        </div>
    </div>
}
else
{
    <img src="../images/roosteroil.png" class="center"/>
}
@code {
    private ClaimsPrincipal user;

    protected override async Task OnInitializedAsync()
    {
        var authState = await AuthenticationStateProvider.GetAuthenticationStateAsync();
        user = authState.User;

        await base.OnInitializedAsync();
    }
}
